Subject: [PATCH v4 3/7] [RFC] arm/arm64: introduce is_dma_coherent

From: [email-masked] (Ian Campbell)
Date: Sat, 25 Oct 2014 16:40:29 +0100

On Sat, 2014-10-25 at 14:29 +0100, Stefano Stabellini wrote:
>  
> Your suggestions and looking more at the code gave me another idea, that
> I think is clean and at the same time suitable for 3.18.
> What do you think of the following? It is simple, self-contained and
> doesn't need a new flag in struct device.

of_dma_is_coherent looks to be quite expensive though (walks up the
Device Tree doing strcmps on each property of each node until it finds
the one it is looking for.

Ian.